Subject: Re: [PATCH 19/49] repack: remove 'existing_packs' API from the builtin

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 30 Sep 2025 01:21:40 +0200

On Sun, Sep 28, 2025 at 06:08:23PM -0400, Taylor Blau wrote:
> The repack builtin defines an API for keeping track of which packs
> were found in the repository at the beginning of the repack operation.
> This is used to classify what state a pack was in (kept, non-kept, or
> cruft), and is also used to mark which packs to delete (or keep) at the
> end of a repack operation.
> 
> Now that the prerequisite refactoring is complete, this API is isolated
> enough that it can be moved out to repack.ch and removed from the

Tiniest nit, sorry: I found the spelling of "repack.ch" a bit confusing
at first, as it looked like a typo. Maybe say "repack.{c,h}" or
"repack.[ch]"?

Patrick